package com.bonus.canteen.core.auth.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.auth.user.entity.MgrUser;

import java.io.Serializable;
import java.util.Set;

@ApiModel("用户信息")
public class MgrUserInfo implements Serializable {
   @ApiModelProperty("用户基本信息")
   private MgrUser mgrUser;
   private Long tenantId;
   @ApiModelProperty("食堂类范围id")
   private Long canteenEffId;
   @ApiModelProperty("人员类范围id")
   private Long custEffId;
   @ApiModelProperty("菜品类范围id")
   private Long dishesEffId;
   @ApiModelProperty("角色标识")
   private String roleCode;
   @ApiModelProperty("权限标识集合")
   private Set<String> permissions;
   @ApiModelProperty("角色标识集合")
   private Set<String> roles;

   public MgrUser getMgrUser() {
      return this.mgrUser;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public Long getCanteenEffId() {
      return this.canteenEffId;
   }

   public Long getCustEffId() {
      return this.custEffId;
   }

   public Long getDishesEffId() {
      return this.dishesEffId;
   }

   public String getRoleCode() {
      return this.roleCode;
   }

   public Set<String> getPermissions() {
      return this.permissions;
   }

   public Set<String> getRoles() {
      return this.roles;
   }

   public void setMgrUser(final MgrUser mgrUser) {
      this.mgrUser = mgrUser;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setCanteenEffId(final Long canteenEffId) {
      this.canteenEffId = canteenEffId;
   }

   public void setCustEffId(final Long custEffId) {
      this.custEffId = custEffId;
   }

   public void setDishesEffId(final Long dishesEffId) {
      this.dishesEffId = dishesEffId;
   }

   public void setRoleCode(final String roleCode) {
      this.roleCode = roleCode;
   }

   public void setPermissions(final Set<String> permissions) {
      this.permissions = permissions;
   }

   public void setRoles(final Set<String> roles) {
      this.roles = roles;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getMgrUser());
      return "MgrUserInfo(mgrUser=" + var10000 + ", tenantId=" + this.getTenantId() + ", canteenEffId=" + this.getCanteenEffId() + ", custEffId=" + this.getCustEffId() + ", dishesEffId=" + this.getDishesEffId() + ", roleCode=" + this.getRoleCode() + ", permissions=" + String.valueOf(this.getPermissions()) + ", roles=" + String.valueOf(this.getRoles()) + ")";
   }
}
